CSFML - C binding of the Simple and Fast Multimedia Library

CSFML 3.0.0

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Members

Loading...
Searching...
No Matches
Public Attributes | List of all members
sfContextSettings Struct Reference

Structure defining the window's creation settings. More...

`#include <CSFML/Window/Window.h>`

## Public Attributes
unsigned int | depthBits
| Bits of the depth buffer.
unsigned int | stencilBits
| Bits of the stencil buffer.
unsigned int | antiAliasingLevel
| Level of anti-aliasing.
unsigned int | majorVersion
| Major number of the context version to create.
unsigned int | minorVersion
| Minor number of the context version to create.
uint32_t | attributeFlags
| The attribute flags to create the context with.
bool | sRgbCapable
| Whether the context framebuffer is sRGB capable.

## Detailed Description

Structure defining the window's creation settings.

Definition at line 57 of file Window/Window.h.

## Member Data Documentation

## ◆ antiAliasingLevel

unsigned int sfContextSettings::antiAliasingLevel

Level of anti-aliasing.

Definition at line 61 of file Window/Window.h.

## ◆ attributeFlags

uint32_t sfContextSettings::attributeFlags

The attribute flags to create the context with.

Definition at line 64 of file Window/Window.h.

## ◆ depthBits

unsigned int sfContextSettings::depthBits

Bits of the depth buffer.

Definition at line 59 of file Window/Window.h.

## ◆ majorVersion

unsigned int sfContextSettings::majorVersion

Major number of the context version to create.

Definition at line 62 of file Window/Window.h.

## ◆ minorVersion

unsigned int sfContextSettings::minorVersion

Minor number of the context version to create.

Definition at line 63 of file Window/Window.h.

## ◆ sRgbCapable

bool sfContextSettings::sRgbCapable

Whether the context framebuffer is sRGB capable.

Definition at line 65 of file Window/Window.h.

## ◆ stencilBits

unsigned int sfContextSettings::stencilBits

Bits of the stencil buffer.

Definition at line 60 of file Window/Window.h.

The documentation for this struct was generated from the following file:

- Window/Window.h